View Issue Details

IDProjectCategoryView StatusLast Update
0003693SymmetricDSImprovementpublic2018-11-28 13:24
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.41Fixed in Version3.8.41 
Summary0003693: XMLType support for Oracle
DescriptionXMLType support for Oracle added for capture and initial load. Preferred method is to use stream lobs on the triggers.
TagsNo tags attached.

Relationships

related to 0003694 closedjosh-a-hicks XMLType support for Oracle 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 32d2d1e9

2018-08-28 12:54:41

josh-a-hicks

Details Diff
0003693: XMLType support for Oracle
0003693
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/ExtractDataReader.java Diff File

SymmetricDS: 3.8 4d701162

2018-08-29 11:11:26

josh-a-hicks

Details Diff
0003693: XMLType support for Oracle
0003693
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleTriggerTemplate.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/oracle/OracleDmlStatement.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlReader.java Diff File

SymmetricDS: 3.8 e3ebdced

2018-08-30 10:41:58

josh-a-hicks

Details Diff
0003693: XMLType support for Oracle
0003693
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleTriggerTemplate.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/ExtractDataReader.java Diff File

SymmetricDS: 3.8 fff337dc

2018-11-27 11:00:37

admin

Details Diff
0003693: XMLType support for Oracle
0003693
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleTriggerTemplate.java Diff File

SymmetricDS: 3.9 5f261e43

2018-11-27 11:00:37

admin

Details Diff
0003693: XMLType support for Oracle
0003693
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleTriggerTemplate.java Diff File

SymmetricDS: 3.10 31aaedaa

2018-11-27 11:00:37

admin

Details Diff
0003693: XMLType support for Oracle
0003693
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2018-08-28 12:48 josh-a-hicks New Issue
2018-08-28 12:48 josh-a-hicks Status new => assigned
2018-08-28 12:48 josh-a-hicks Assigned To => josh-a-hicks
2018-08-28 12:55 josh-a-hicks Status assigned => resolved
2018-08-28 12:55 josh-a-hicks Resolution open => fixed
2018-08-28 12:55 josh-a-hicks Fixed in Version => 3.8.41
2018-08-28 13:00 josh-a-hicks Changeset attached => SymmetricDS 3.8 32d2d1e9
2018-08-28 13:47 josh-a-hicks Issue cloned: 0003694
2018-08-28 13:49 josh-a-hicks Relationship added related to 0003694
2018-08-29 12:00 josh-a-hicks Changeset attached => SymmetricDS 3.8 4d701162
2018-08-30 12:00 josh-a-hicks Changeset attached => SymmetricDS 3.8 e3ebdced
2018-11-27 12:00 admin Changeset attached => SymmetricDS 3.8 fff337dc
2018-11-27 12:00 admin Changeset attached => SymmetricDS 3.9 5f261e43
2018-11-28 11:00 admin Changeset attached => SymmetricDS 3.10 31aaedaa
2018-11-28 13:24 mmichalek Status resolved => closed